const { Octokit: Octokit16 } = require('@octokit/rest@16.43.2')
const { Octokit: Octokit18 } = require('@octokit/rest@18.0.1')

const octokit16 = new Octokit16()
const octokit18 = new Octokit18()

const options = {
  owner: 'gr2m',
  repo: 'sandbox',
  base: 'main',
  head: 'alexr00/issue#104'
}

const requestOptions16 = octokit16.repos.compareCommits.endpoint(options)
const requestOptions18 = octokit18.repos.compareCommits.endpoint(options)

console.log('v16 url: %s', requestOptions16.url)
console.log('v18 url: %s', requestOptions18.url)

octokit16.repos.compareCommits(options).then(() => console.log('v16 ok'), (error) => console.log(`v16 not ok (${error.status})`))
octokit18.repos.compareCommits(options).then(() => console.log('v18 ok'), (error) => console.log(`v18 not ok (${error.status})`));
